A I settings
Get creator ai settings
Read a creator's AI behavior, profile and messaging configuration.
GET
/v1/agencies/{agencyId}/creators/{creatorId}/settingsRead a creator's AI behavior, profile and messaging configuration.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/creators/string/settings" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "creatorId": "string", "mode": "AGGRESSIVE", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "enable": true, "standardEmojis": true, "sextingEmojis": true, "transitionTimingMode": "AUTO", "transitionMessage": null, "aiMode": "FULL_AI", "aiScheduleMode": "FULL_TIME", "enableFanSpendLimit": true, "fanSpendOperator": "LESS_THAN", "enableSubscriptionLimit": true, "maxSubscriptionDurationValue": null, "maxSubscriptionDurationUnit": null, "subscriptionDurationOperator": "LESS_THAN", "allowedSubscriptionTypes": [ "PAID" ], "stopConditionsOperator": "AND", "voicePresetId": "string", "replyAsAi": true, "disabledByNegativeBalance": true, "allowVerifiedCreators": true, "includedFanLists": [ "string" ], "excludedFanLists": [ "string" ], "vaultUploadFanId": null, "voicePreset": null, "maxFanSpend": null, "minAllowedFanSpend": 0 }, "meta": { "requestId": "string" }}